import * as Axe from 'axe-core';
import { Frame, Page } from 'puppeteer';
import { AnalyzeCB } from './types';
export declare class AxePuppeteer {
    private frame;
    private source?;
    private includes;
    private excludes;
    private axeOptions;
    private config;
    constructor(pageFrame: Page | Frame, source?: string);
    include(selector: string | string[]): this;
    exclude(selector: string | string[]): this;
    options(options: Axe.RunOptions): this;
    withRules(rules: string | string[]): this;
    withTags(tags: string | string[]): this;
    disableRules(rules: string | string[]): this;
    configure(config: Axe.Spec): this;
    analyze(): Promise<Axe.AxeResults>;
    analyze<T extends AnalyzeCB>(callback?: T): Promise<Axe.AxeResults | null>;
}
